<div class="container">
    <div *ngIf="flights.length === 0; else showData">
        <h3 class="card-title">There are no available flights</h3>
    </div>

    <ng-template #showData>
        <div *ngFor="let flight of flights" class="card">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ flight.airport_from.city }} - {{ flight.airport_where.city }}</h3>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-6">
                                    <h4 class="card-subtitle">Departure</h4>
                                    <p class="card-text">From: {{ flight.airport_from.name }} - {{
                                        flight.airport_from.city }}
                                    </p>
                                    <p class="card-text">Departure Date: {{ flight.departure_date | date:'MM/dd/yyyy
                                        hh:mm' }}</p>
                                </div>
                                <div class="col-6">
                                    <h4 class="card-subtitle">Arrival</h4>
                                    <p class="card-text">Where: {{ flight.airport_where.name }} - {{
                                        flight.airport_where.city
                                        }}</p>
                                    <p class="card-text">Arrival Date: {{ flight.arrival_date | date:'MM/dd/yyyy
                                        hh:mm' }}</p>
                                </div>
                            </div>
                        </div>
                        <div class="card-footer text-center">
                            <a [routerLink]="['/flightList', flight.id]" class="btn btn-primary flights_button">View
                                Details</a>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
        </div>
    </ng-template>
</div>